atomes(1)

NAME
atomes - a toolbox to analyze, visualize and create/edit 3D atomic scale models

SYNOPSIS
atomes [OPTIONS] files...
atomes [IMAGES_OPTIONS] files...

DESCRIPTION
This manual page documents briefly the atomes command.

atomes is a toolbox to analyze, visualize and create/edit 3D atomic scale models.
It offers a workspace to open and manage project(s) that can exchange data: analysis results, atomic coordinates ...
atomes also provides an advanced input preparation system for calculations using well know molecular dynamics codes:

    Classical MD: DLPOLY and LAMMPS
    Ab-initio MD: CPMD and CP2K
    QM-MM MD: CPMD and CP2K

OPTIONS
This program uses a set of custom options to specify the file formats for atomic coordinates (ex: -xyz),
but otherwise follows the usual GNU command line syntax, with long options starting with two dashes (`-').
atomes will try to open a file based on its extension, however file type can be strictly enforced using the corresponding option.
A summary of options is presented below.

-h, --help
    Show summary of options

-v, --version
    Show version of program

-awf, -AWF
    Open atomes workspace file

-apf, -APF
    Open atomes project file(s)

-xyz, -XYZ
    Import XYZ atomic coordinates(s)

-c3d, -C3D
    Import Chem3D atomic coordinates(s)

-trj, -TRJ
    Import CPMD atomic coordinates(s)

-xdatcar, -XDATCAR
    Import VASP atomic coordinates(s)

-pdb, -PDB, -ent, -ENT
    Import PDB atomic coordinates(s)

-cif, -CIF
    Import CIF atomic coordinate(s)

-hist, -HIST
    Import DL_POLY history file atomic coordinates(s)

-ipf, -IPF
    Import I.S.A.A.C.S. project

EXEMPLES

atomes project.apf file.xyz -pdb other_file
     atomes -awf workspace -apf project -xyz file -pdb other_file

IMAGE_OPTIONS
atomes can be used to generate image of atomic scale models directly from the command line.

-p, --png, --render-png
    Render PNG image

-j, --jpg, --render-jpg
    Render JPG image

-o, --output=[FILE]
    Image name (default: image.png or image.jpg)

-W, --width=[X_SIZE]
    Image width in pixels, X_SIZE must be > 0

-H, --height=[Y_SIZE]
    Image height in pixels, Y_SIZE must be > 0

Depending on the file to be rendered, default parameters for the rendering are obtained:
  - For an atomes project file (*.apf): from the project file itself.
  - For any another type of atomic coordinates (ex: .xyz): from the user preferences in atomes.pml
In both cases some parameters can be momentarely overriden using command line options:

-s, --style=[STYLE]
    Visual style, in:
       - Balls and sticks: balls_and_sticks, ball_and_stick, b_and_s, bs, b
       - Wireframes: wireframes, wireframe, wires, wire, wi, w
       - Covalent radius: covalent_radius, covalent, cov_rad, cov, co, cr
       - Ionic radius: ionic_radius, ionic_rad, ionic, ion, ir
       - van der Waals radius: van_der_waals_radius, van_der_waals, vdw_radius, vdw_rad, vdw, vr
       - In crystal radius: in_crystal_radius, crystal_radius, in_crystal, crystal, cryst, cr
       - Spheres: spheres, sphere, sph, sp, s
       - Cylinders: cylinders, cylinder, cyl, cy, c
       - Dots: dots, dot, d

-r, --rep=[REP]
    Representation style, in:
       - Orthographic: orthograhpic, ortho, 0
       - Perpsective (default): perspective, persp, 1

-b, --box=[STYLE]
    Trigger box representation, if any, and set box style
    Style, in:
       - Wireframes: wireframes, wireframe, wires, wire, wi, w
       - Cylinders: cylinders, cylinder, cyl, cy, c

-a, --axis=[STYLE]
    Trigger axis representation and set axis style
    Style, in:
       - Wireframes: wireframes, wireframe, wires, wire, wi, w
       - Cylinders: cylinders, cylinder, cyl, cy, c

-e, --acolor=[MAP]
    Set color map for atoms and bonds
       - Chemical specie(s): species, spec, sp, 0
       - Total coordination(s): total_coordiantion, total_coord, tc, 1
       - Partial coordination(s): partial_coordiantion, partial_coord, pc, 2
       - Fragment(s)*: fragment, frag, fg, 3
       - Molecule(s)*: molecule, mol, mo, 4
    * if required trigger the corresponding analysis

-t, --pcolor=[MAP]
    Trigger polyhedra representation, and set the corresponding color map

-C, --box_color=[COLOR]
    Box color, COLOR in hexadecimal coding, 3 or 6 letters, with or without #

-G, --back_grad=[GRAD]
    Background gradient type, in:
      - No gradient: none, no, 0
      - Linear: linear, lin, 1
      - Circular: circular, circ, 2

-B, --back_color=[COLOR]
    Background color, COLOR in hexadecimal coding, 3 or 6 letters, with or without #
    Trigger single color mode (no gradient) for the background

-D, --back_dir=[DIR]
    Background gradient direction, in:
      - Linear gradient
        - Right to left: 0
        - Top to bottom: 1
        - Bottom right to top left: 2
        - Top right to bottom left: 3
      - Circular gradient
        - Right to left: 0
        - Left to right: 1
        - Top to bottom: 2
        - Bottom to top: 3
        - Bottom right to top left: 4
        - Bottom left to top right: 5
        - Top right to bottom left: 6
        - Top left to bottom righ: 7
        - From the center: 8

-P, --back_pos=[POS]
    Gradient colors mixed position in [0.0 - 1.0]

-U, --grad_col_a=[COLOR]
    Gradient initial color, COLOR in hexadecimal coding, 3 or 6 letters, with or without #

-V, --grad_col_b=[COLOR]
    Gradient final color, COLOR in hexadecimal coding, 3 or 6 letters, with or without #

EXAMPLES

atomes --render-png --width=1920 --height=1024 -o project.png project.apf
     atomes -j -W 1920 -H 1024 --output=my_file.jpg file.pdb -s cyl -e pc

SEE ALSO
https://atomes.ipcms.fr/

AUTHOR
This manual page was created by Dr. Sébastien Le Roux <sebastien.leroux@ipcms.unistra.fr>

BUGS
Report bugs at <https://github.com/Slookeur/atomes-GNU/issues>.